Package org.linphone.core

# Interface ChatMessageListener

All Known Implementing Classes:
  `ChatMessageListenerStub`

public interface ChatMessageListener
An object to handle the callbacks for the handling a `ChatMessage`
objects.

## Method Summary

Modifier and Type
Method
Description
`void`
`onContentEdited(ChatMessage message)`
Gets the content edited callback.
`void`
`onEphemeralMessageDeleted(ChatMessage message)`
Gets the ephemeral message deleted callback.
`void`
`onEphemeralMessageTimerStarted(ChatMessage message)`
Gets the current "ephemeral message timer started" callback.
`void`
`onFileTransferProgressIndication(ChatMessage message, Content content, int offset, int total)`
Gets the file transfer progress indication callback.
`void`
`onFileTransferRecv(ChatMessage message, Content content, Buffer buffer)`
Gets the file transfer receive callback.
`Buffer`
`onFileTransferSend(ChatMessage message, Content content, int offset, int size)`
Deprecated.
`void`
`onFileTransferSendChunk(ChatMessage message, Content content, int offset, int size, Buffer buffer)`
Gets the file transfer send callback.
`void`
`onFileTransferTerminated(ChatMessage message, Content content)`
Gets the download file transfer terminated callback.
`void`
`onMsgStateChanged(ChatMessage message, ChatMessage.State state)`
Gets the message state changed callback.
`void`
`onNewMessageReaction(ChatMessage message, ChatMessageReaction reaction)`
Gets the new reaction callback.
`void`
`onParticipantImdnStateChanged(ChatMessage message, ParticipantImdnState state)`
Gets the participant IMDN state changed callback.
`void`
`onReactionRemoved(ChatMessage message, Address address)`
Gets the removed reaction callback.
`void`
`onRetracted(ChatMessage message)`
Gets the retracted callback.

## Method Details

### onMsgStateChanged

void onMsgStateChanged(ChatMessage message, ChatMessage.State state)
Gets the message state changed callback.

### onNewMessageReaction

void onNewMessageReaction(ChatMessage message, ChatMessageReaction reaction)
Gets the new reaction callback.

### onReactionRemoved

void onReactionRemoved(ChatMessage message, Address address)
Gets the removed reaction callback.

### onContentEdited

void onContentEdited(ChatMessage message)
Gets the content edited callback.

### onRetracted

void onRetracted(ChatMessage message)
Gets the retracted callback.

### onFileTransferTerminated

void onFileTransferTerminated(ChatMessage message, Content content)
Gets the download file transfer terminated callback.
warning: this callback is called everytime a message attachment is downloaded.
For a message with more than one attachment, this callback will be called as
many times as attachments in the message.

### onFileTransferRecv

void onFileTransferRecv(ChatMessage message, Content content, Buffer buffer)
Gets the file transfer receive callback.

### onFileTransferSend

@Deprecated Buffer onFileTransferSend(ChatMessage message, Content content, int offset, int size)
Deprecated.
Gets the file transfer send callback.

Returns:
  The current file transfer send callback.
  deprecated: 17/08/2020 Use
  linphone_chat_message_cbs_get_file_transfer_send_chunk instead.

### onFileTransferSendChunk

void onFileTransferSendChunk(ChatMessage message, Content content, int offset, int size, Buffer buffer)
Gets the file transfer send callback.

### onFileTransferProgressIndication

void onFileTransferProgressIndication(ChatMessage message, Content content, int offset, int total)
Gets the file transfer progress indication callback.

### onParticipantImdnStateChanged

void onParticipantImdnStateChanged(ChatMessage message, ParticipantImdnState state)
Gets the participant IMDN state changed callback.

### onEphemeralMessageTimerStarted

void onEphemeralMessageTimerStarted(ChatMessage message)
Gets the current "ephemeral message timer started" callback.
This callback is called when the message deletion timer starts (the message has
been viewed).

### onEphemeralMessageDeleted

void onEphemeralMessageDeleted(ChatMessage message)
Gets the ephemeral message deleted callback.
This callback is used when a message deletion timer runs out (message is
deleted).